package com.nexgo.oaf.apiv3;

/**
 * Created by xiaox on 16/4/20.
 */

/**
 * API 代理
 */
public class APIProxy {
    //不再考虑mpos模式了
    private static Class<?> loadClass(final String mposPath, final String smartPosPath) {
        ClassLoader classLoader = DeviceEngine.class.getClassLoader();
        Class<?> myClass1 = null;
        Class<?> myClass2 = null;

//        Event.ConnectType type = ConnSession.getInstance().getType();
//        switch (type) {
//            case SPP:
//            case BLE:
//            case USB:
//                try {
//                    myClass1 = classLoader.loadClass(mposPath);
//                } catch (Exception e) {
//                    e.printStackTrace();
//                }
//                return myClass1;
//            case SPI:
                try {
                    myClass2 = classLoader.loadClass(smartPosPath);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                return myClass2;
//            default:
//                break;
//        }
//        return null;
    }

    private static DeviceEngine deviceEngine;

    /**
     * 获取设备操作引擎
     * @return {@link DeviceEngine}
     */
    public static DeviceEngine getDeviceEngine() {
        final String SMARTPOS_Device_PATH = "com.nexgo.oaf.smartpos.apiv3.DeviceEngineImpl";
        Class<?> myclass = loadClass(null, SMARTPOS_Device_PATH);
        if (myclass == null) {
            throw new RuntimeException("DeviceAPI not implemented.");
        }

        if (deviceEngine == null) {
            try {
                deviceEngine = (DeviceEngine) myclass.newInstance();
            } catch (Exception e) {
                deviceEngine = null;
                e.printStackTrace();
            }
        }
        return deviceEngine;
    }
}
