package com.nexgo.oaf.apiv3;

/**
 * Created by xiaox on 2017/2/23.
 */

/**
 * 设备信息类
 * String sn 工厂机身号
 * String ksn 客户定制的机身号
 * String model 机型，如N5
 * String osVer 操作系统版本，如5.1.1
 * String sdkVer sdk版本，如2.0.0
 * String firmWareVer firmWare版本
 * String kernelVer linux内核版本
 * String vendor 厂商，如Nexgo
 */
public class DeviceInfo {
    private String sn;
    private String ksn;
    private String model;
    private String osVer;
    private String sdkVer;
    private String firmWareVer;
    private String kernelVer;
    private String vendor;
    private boolean isSupportGM;

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getKsn() {
        return ksn;
    }

    public void setKsn(String ksn) {
        this.ksn = ksn;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getOsVer() {
        return osVer;
    }

    public void setOsVer(String osVer) {
        this.osVer = osVer;
    }

    public String getSdkVer() {
        return sdkVer;
    }

    public void setSdkVer(String sdkVer) {
        this.sdkVer = sdkVer;
    }

    public String getFirmWareVer() {
        return firmWareVer;
    }

    public void setFirmWareVer(String firmWareVer) {
        this.firmWareVer = firmWareVer;
    }

    public String getKernelVer() {
        return kernelVer;
    }

    public void setKernelVer(String kernelVer) {
        this.kernelVer = kernelVer;
    }

    public String getVendor() {
        return vendor;
    }

    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    public boolean isSupportGM() {
        return isSupportGM;
    }

    public void setSupportGM(boolean supportGM) {
        isSupportGM = supportGM;
    }
}
