package com.nexgo.oaf.apiv3.card.mifare;

/**
 * Created by xiaox on 16/4/27.
 */

/**
 * 块认证类
 * int blkNo 块号
 * M1KeyTypeEnum keyType {@link M1CardOperTypeEnum}
 * byte[] pwd; 密码
 * String uid; 返回的M1卡Uid
 */
public class AuthEntity {
    private int blkNo;
    private M1KeyTypeEnum keyType;
    private byte[] pwd;
    private String uid;

    public int getBlkNo() {
        return blkNo;
    }

    public void setBlkNo(int blkNo) {
        this.blkNo = blkNo;
    }

    public M1KeyTypeEnum getKeyType() {
        return keyType;
    }

    public void setKeyType(M1KeyTypeEnum keyType) {
        this.keyType = keyType;
    }

    public byte[] getPwd() {
        return pwd;
    }

    public void setPwd(byte[] pwd) {
        this.pwd = pwd;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }
}
