package com.nexgo.oaf.apiv3.device.pinpad;

/**
 * 工作密钥类型
 */
public enum WorkKeyTypeEnum {
    /**
     * PIN密钥
     */
    PINKEY,

    /**
     * MAC密钥
     */
    MACKEY,

    /**
     * 磁道密钥
     */
    TDKEY,

    /**
     * 数据加密密钥，提供加解密
     */
    ENCRYPTIONKEY,
}
