package com.nexgo.oaf.apiv3.device.reader;

/**
 * Created by xiaox on 16/4/26.
 */

import com.nexgo.oaf.apiv3.SdkResult;

/**
 * 卡信息监听
 */
public interface OnCardInfoListener {
    /**
     * 回调寻卡结果
     *
     * @param retCode  {@link SdkResult} SdkResult.MagCardReader_Other_Error,SdkResult.IccCardReader_Other_Error,SdkResult.Success,SdkResult.TimeOut
     * @param cardInfo {@link CardInfoEntity}
     */
    void onCardInfo(int retCode, CardInfoEntity cardInfo);

    /**
     * 刷卡不正确
     */
    void onSwipeIncorrect();

    /**
     * 寻到多张非接卡
     */
    void onMultipleCards();
}
