package com.nexgo.oaf.apiv3.emv;

import java.util.List;

/**
 * emv交易结果类
 * byte[] scriptResult 脚本结果
 * List<EmvCardLogEntity> emvLog {@link EmvCardLogEntity}日志列表
 * byte[] ecBalance 电子现金余额,6位bcd码
 */
public class EmvProcessResultEntity {
	private byte[] scriptResult;
	private List<EmvCardLogEntity> emvLog;
	private List<EmvCardLoadLogEntity> emvLoadLog;
	private byte[] currencyCode;
	private byte[] ecBalance;
	private byte[] secondCurrencyCode;
	private byte[] secondEcBalance;

	public byte[] getScriptResult() {
		return scriptResult;
	}

	public void setScriptResult(byte[] scriptResult) {
		this.scriptResult = scriptResult;
	}

	public List<EmvCardLogEntity> getEmvLog() {
		return emvLog;
	}

	public void setEmvLog(List<EmvCardLogEntity> emvLog) {
		this.emvLog = emvLog;
	}

	public byte[] getEcBalance() {
		return ecBalance;
	}

	public void setEcBalance(byte[] ecBalance) {
		this.ecBalance = ecBalance;
	}

	public byte[] getCurrencyCode() {
		return currencyCode;
	}

	public void setCurrencyCode(byte[] currencyCode) {
		this.currencyCode = currencyCode;
	}

	public byte[] getSecondCurrencyCode() {
		return secondCurrencyCode;
	}

	public void setSecondCurrencyCode(byte[] secondCurrencyCode) {
		this.secondCurrencyCode = secondCurrencyCode;
	}

	public byte[] getSecondEcBalance() {
		return secondEcBalance;
	}

	public void setSecondEcBalance(byte[] secondEcBalance) {
		this.secondEcBalance = secondEcBalance;
	}

	public List<EmvCardLoadLogEntity> getEmvLoadLog() {
		return emvLoadLog;
	}

	public void setEmvLoadLog(List<EmvCardLoadLogEntity> emvLoadLog) {
		this.emvLoadLog = emvLoadLog;
	}
}
