package com.nexgo.oaf.apiv3.emv;

/**
 * Created by xiaox on 2017/5/5.
 */

public enum QpbocErrCodeEnum {
    FOK,
    F001,   //预处理,交易金额大于非接交易限额
    F002,   //预处理,交易金额为0
    F003,   //预处理,大于非接脱机限额, 没这一项
    F004,   //应用选择,选择AID未返回PDOL
    F005,   //应用选择,选择AID的PDOL无9F66
    F006,   //应用选择,最终应用选择卡响应6300
    F007,   //应用选择,最终应用选择卡响应63C1
    F008,   //应用选择,最终应用选择卡响应6983
    F009,   //应用选择,最终应用选择卡响应6984
    F010,   //应用选择,最终应用选择卡响应6985
    F011,   //应用选择,最终应用选择卡响应6A83
    F012,   //应用选择,最终应用选择卡响应6A88
    F013,   //应用选择,最终应用选择卡响应6283
    F014,   //应用选择,最终应用选择卡响应6400
    F015,   //应用选择,最终应用选择卡响应6500
    F016,   //应用选择,最终应用选择卡响应9001
    F017,   //应用选择,最终应用选择卡响应6A82
    F018,   //初始化,GPO响应异常
    F019,   //初始化,GPO命令返回6283
    F020,   //初始化,GPO命令返回6300
    F021,   //初始化,GPO命令返回63C1
    F022,   //初始化,GPO命令返回6983
    F023,   //初始化,GPO命令返回6986
    F024,   //初始化,GPO命令返回9001
    F025,   //初始化,GPO命令返回6A81
    F026,   //初始化,GPO命令返回6A82
    F027,   //初始化,GPO命令返回6A83
    F028,   //初始化,GPO命令返回6A88
    F029,   //初始化,GPO命令返回6500提示其他界面
    F030,   //初始化,GPO命令返回6400
    F031,   //初始化,GPO命令返回6984
    F032,   //初始化,GPO命令返回6985
    F033,   //初始化,GPO响应不含强制数据（82）
    F034,   //初始化,GPO响应不含强制数据（9F36）
    F035,   //初始化,GPO响应不含强制数据（57）
    F036,   //初始化,GPO响应不含发卡行数据（9F10）
    F037,   //初始化,GPO响应不含发卡行数据（9F26）
    F038,   //初始化,卡片9F10返拒绝
    F039,   //初始化,GPO响应错误的模板、模板长度错、AFL的TAG错误，AIP的长度错误
    F040,   //初始化,AFL包含不正确的SFI（包含值为0或31、SFI起始记录号异常、SFI结束记录号异常、参与数据认证的记录号异常）
    F041,   //初始化,GPO命令返回9408
    F042,   //读记录,终端日期大于应用失效日期
    F043,   //读记录,异常文件
    F044,   //读记录,读记录卡响应6283
    F045,   //读记录,读记录卡响应6300
    F046,   //读记录,读记录卡响应63C1
    F047,   //读记录,读记录卡响应6983
    F048,   //读记录,读记录卡响应6984
    F049,   //读记录,读记录卡响应6985
    F050,   //读记录,读记录卡响应6A81
    F051,   //读记录,读记录卡响应6A82
    F052,   //读记录,读记录卡响应6A83
    F053,   //读记录,读记录卡响应6A88
    F054,   //读记录,读记录卡响应6400
    F055,   //读记录,读记录卡响应6500
    F056,   //读记录,读记录卡响应9001
    F057,   //读记录,PAN（主账号）重复
    F058,   //读记录,5F24（应用失效日期）重复
    F059,   //读记录,57（磁道2等效数据）重复
    F060,   //读记录,读记录卡响应的记录模板长度错误、不是70模板
    F061,   //数据认证,fDDA失败而拒绝
    F062,   //数据认证,fDDA失败，9F6C bit6-5=01且终端支持接触PBOC
}
