package com.nexgo.oaf.apiv3.hsm;

/**
 * Created by xiaox on 2017/4/11.
 */

/**
 * 安全模块操作类
 */
public interface HSMDevice {
    /**
     * 获取银联硬件序列号信息
     *
     * @param mode   预留接口，默认传0
     * @param factor 随机因子，传null时TustData没有mac字段
     * @return {@link TusnData} 返回银联硬件序列号信息
     */
    TusnData getTUSN(int mode, byte[] factor);
}
