package com.nexgo.oaf.apiv3.hsm;

/**
 * Created by xiaox on 2017/4/11.
 */

/**
 * 银联唯一硬件序列号信息
 * String terminalType 终端类型 "01":ATM,"02":传统POS,"03":MPOS,"04":智能POS,"05":扫码支付POS
 * String tusn 硬件序列号 6位厂商编号+2位终端类型（同设备类型）+42位自定义序列号
 * String mac 通过随机因子参与运算最后得到的密文
 */
public class TusnData {
    private String terminalType;
    private String tusn;
    private String mac;

    public String getTerminalType() {
        return terminalType;
    }

    public void setTerminalType(String terminalType) {
        this.terminalType = terminalType;
    }

    public String getTusn() {
        return tusn;
    }

    public void setTusn(String tusn) {
        this.tusn = tusn;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }
}
