package com.nexgo.oaf.apiv3.card.memory;

import com.nexgo.oaf.apiv3.device.reader.CardTypeEnum;

/**
 * Created by xiaox on 2017/1/6.
 */

/**
 * 擦除类
 * CardTypeEnum cardType 卡类型 只支持IS23SC1604,AT88SC101,AT88SC102
 * int address 起始地址，从0开始
 * int eraseLen 擦除数据长度，单位byte
 * int zone 区域编码
 */
public class EraseEntity {
    private CardTypeEnum cardType;
    private int address;
    private int eraseLen;
    private int zone;

    public EraseEntity() {
    }

    public EraseEntity(CardTypeEnum cardType, int address, int eraseLen, int zone) {
        this.cardType = cardType;
        this.address = address;
        this.eraseLen = eraseLen;
        this.zone = zone;
    }

    public CardTypeEnum getCardType() {
        return cardType;
    }

    public void setCardType(CardTypeEnum cardType) {
        this.cardType = cardType;
    }

    public int getAddress() {
        return address;
    }

    public void setAddress(int address) {
        this.address = address;
    }

    public int getEraseLen() {
        return eraseLen;
    }

    public void setEraseLen(int eraseLen) {
        this.eraseLen = eraseLen;
    }

    public int getZone() {
        return zone;
    }

    public void setZone(int zone) {
        this.zone = zone;
    }
}
