package com.nexgo.oaf.apiv3.card.mifare;

/**
 * Created by xiaox on 16/4/27.
 */

/**
 * 块操作类
 * M1CardOperTypeEnum operType {@link M1CardOperTypeEnum} 块操作时使用
 * byte[] blkData 写入或是读出填入的数据,16字节二进制数
 * int blkValue 按M1卡数据格式去读写块数据值
 * int blkNo 块号
 * int desBlkNo 块操作时使用,目标块号
 */
public class BlockEntity {
    private M1CardOperTypeEnum operType;
    private byte[] blkData;
    private int blkValue;
    private int blkNo;
    private int desBlkNo;

    public int getBlkValue() {
        return blkValue;
    }

    public void setBlkValue(int blkValue) {
        this.blkValue = blkValue;
    }

    public byte[] getBlkData() {
        return blkData;
    }

    public void setBlkData(byte[] blkData) {
        this.blkData = blkData;
    }

    public int getBlkNo() {
        return blkNo;
    }

    public void setBlkNo(int blkNo) {
        this.blkNo = blkNo;
    }

    public M1CardOperTypeEnum getOperType() {
        return operType;
    }

    public void setOperType(M1CardOperTypeEnum operType) {
        this.operType = operType;
    }

    public int getDesBlkNo() {
        return desBlkNo;
    }

    public void setDesBlkNo(int desBlkNo) {
        this.desBlkNo = desBlkNo;
    }
}
