package com.nexgo.oaf.apiv3.device.pinpad;

/**
 * Created by xiaox on 16/4/20.
 */

import com.nexgo.oaf.apiv3.SdkResult;

/**
 * 键盘输入监听
 */
public interface OnPinPadInputListener {
    /**
     * 回调结果
     *
     * @param retCode {@link SdkResult} SdkResult.Success,SdkResult.PinPad_No_Pin_Input,SdkResult.PinPad_Input_Cancel,SdkResult.PinPad_Input_Timeout,SdkResult.PinPad_Other_Error
     * @param data    密码输入模式为pinblock,文本输入时为输入的文本 asc 码
     */
    void onInputResult(int retCode, byte[] data);

    /**
     * 回调按键
     *
     * @param keyCode {@link PinPadKeyCode} PinPadKeyCode.KEYCODE_STAR
     */
    void onSendKey(byte keyCode);
}
