package com.nexgo.oaf.apiv3.device.printer;

/**
 * Created by xiaox on 2017/3/10.
 */

/**
 * 点阵字体
 */
public enum DotMatrixFontEnum {
    /*asc字体枚举顺序不可更改*/
    /**
     * ASC宋体宽高6X8
     */
    ASC_SONG_6X8(6, 8),
    /**
     * ASC宋体宽高6X12
     */
    ASC_SONG_6X12(6, 12),
    /**
     * ASC宋体宽高8X16
     */
    ASC_SONG_8X16(8, 16),
    /**
     * ASC宋体宽高12X24
     */
    ASC_SONG_12X24(12, 24),
    /**
     * ASC宋体宽高16X24
     */
    ASC_SONG_16X24(16, 24),
    /**
     * ASC宋体宽高16X32
     */
    ASC_SONG_16X32(16, 32),
    /**
     * ASC宋体宽高16X48
     */
    ASC_SONG_16X48(16, 48),
    /**
     * ASC宋体加黑宽高8X16
     */
    ASC_SONG_BOLD_8X16(8, 16),
    /**
     * ASC宋体加黑宽高12X24
     */
    ASC_SONG_BOLD_12X24(12, 24),
    /**
     * ASC宋体加黑宽高16X24
     */
    ASC_SONG_BOLD_16X24(16, 24),
    /**
     * ASC宋体加黑宽高16X32
     */
    ASC_SONG_BOLD_16X32(16, 32),
    /**
     * ASC宋体加黑宽高16X48
     */
    ASC_SONG_BOLD_16X48(16, 48),
    /**
     * ASC幼圆宽高12X24
     */
    ASC_MYuen_12X24(12, 24),
    /**
     * ASC幼圆宽高16X24
     */
    ASC_MYuen_16X24(16, 24),
    /**
     * ASC幼圆宽高16X32
     */
    ASC_MYuen_16X32(16, 32),
    /**
     * ASC幼圆宽高16X48
     */
    ASC_MYuen_16X48(16, 48),
    /**
     * ASC幼圆加黑宽高12X24
     */
    ASC_MYuen_BOLD_12X24(12, 24),
    /**
     * ASC幼圆加黑宽高16X24
     */
    ASC_MYuen_BOLD_16X24(16, 24),
    /**
     * ASC幼圆加黑宽高16X32
     */
    ASC_MYuen_BOLD_16X32(16, 32),
    /**
     * ASC幼圆加黑宽高16X48
     */
    ASC_MYuen_BOLD_16X48(16, 48),
    /**
     * ASC幼圆加黑宽高20X32
     */
    ASC_MYuen_BOLD_20X32(20, 32),
    /**
     * ASC宋体加黑宽高28X48
     */
    ASC_SONG_BOLD_28X48(28, 48),
    /**
     * ASC宋体加黑宽高24X48
     */
    ASC_SONG_BOLD_24X48(24, 48),
    /**
     * ASC宋体加黑宽高16X16
     */
    ASC_SONG_BOLD_16X16(16, 16),
    /**
     * ASC宋体宽高24X48
     */
    ASC_SONG_24X48(24, 48),
    /**
     * ASC宋体宽高5X7
     */
    ASC_SONG_5X7(5, 7),
    /**
     * 中文简体宋体宽高12X12
     */
    CH_SONG_12X12(12, 12),
    /**
     * 中文简体宋体宽高16X16
     */
    CH_SONG_16X16(16, 16),
    //    CH_KAI_20X20(20, 20),            //简体中文楷体20*20
    /**
     * 中文简体宋体宽高24X24
     */
    CH_SONG_24X24(24, 24),
    /**
     * 中文简体宋体宽高32X32
     */
    CH_SONG_32X32(32, 32),
    /**
     * 中文简体宋体宽高48X48
     */
    CH_SONG_48X48(48, 48),
    /**
     * 中文简体宋体宽高20X20
     */
    CH_SONG_20X20(20, 20);
//    CH_SONG_12X12_TRA(12, 12),        //繁体中文宋体12*12
//    CH_SONG_16X16_TRA(16, 16),        //繁体中文宋体16*16
//    CH_SONG_20X20_TRA(20, 20),        //繁体中文宋体20*20
//    CH_SONG_24X24_TRA(24, 24),        //繁体中文宋体24*24
//    CH_SONG_32X32_TRA(32, 32),        //繁体中文宋体32*32
//    CH_SONG_48X48_TRA(48, 48);        //繁体中文宋体48*48

    private final int width;
    private final int height;

    DotMatrixFontEnum(int width, int height) {
        this.width = width;
        this.height = height;
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }
}
