package com.nexgo.oaf.apiv3.device.scanner;

import com.nexgo.oaf.apiv3.SdkResult;

/**
 * Created by xiaox on 2016/12/6.
 */

public interface OnScannerListener {
    /**
     * 初始化结果回调
     *
     * @param retCode {@link SdkResult} SdkResult.Success,SdkResult.Fail
     */
    void onInitResult(int retCode);

    /**
     * 扫码结果回调
     *
     * @param retCode {@link SdkResult} SdkResult.Success,SdkResult.Param_In_Invalid,SdkResult.TimeOut,SdkResult.Fail,SdkResult.Scanner_Customer_Exit,SdkResult.Fail;
     * @param data    扫码结果
     */
    void onScannerResult(int retCode, String data);
}
