package com.nexgo.oaf.apiv3.device.scanner;

/**
 * Created by xiaox on 2016/12/6.
 */

/**
 * 摄像头扫码初始化类
 * isUsedFrontCcd 是否使用前置摄像头
 * isBulkMode 是否开启连续扫码模式
 * interval 连续扫码模式下，扫码间隔时间，单位毫秒
 * isAutoFocus 是否自动对焦
 */
public class ScannerCfgEntity {
    private boolean isUsedFrontCcd;
    private boolean isBulkMode;
    private int interval;
    private boolean isAutoFocus;

    public boolean isUsedFrontCcd() {
        return isUsedFrontCcd;
    }

    public void setUsedFrontCcd(boolean usedFrontCcd) {
        isUsedFrontCcd = usedFrontCcd;
    }

    public boolean isBulkMode() {
        return isBulkMode;
    }

    public void setBulkMode(boolean bulkMode) {
        isBulkMode = bulkMode;
    }

    public int getInterval() {
        return interval;
    }

    public void setInterval(int interval) {
        this.interval = interval;
    }

    public boolean isAutoFocus() {
        return isAutoFocus;
    }

    public void setAutoFocus(boolean autoFocus) {
        isAutoFocus = autoFocus;
    }
}
