package com.nexgo.oaf.apiv3.emv;

/**
 * Created by xiaox on 2016/11/25.
 */

/**
 * 应用候选列表类
 * byte[] aid AID
 * byte[] appLabel 应用标签
 * byte[] preferName 应用首选名
 * byte priority 应用优先权标识符
 * byte[] langPrefer 首选语言
 * byte icti 发卡行代码表索引
 */
public class CandidateAppInfoEntity {
    private byte[] aid; // AID
    private byte[] appLabel; // 应用标签
    private byte[] preferName; // 应用首选名
    private byte priority; // 应用优先权标识符
    private byte[] langPrefer; // 首选语言
    private byte icti; // 发卡行代码表索引

    public byte[] getAid() {
        return aid;
    }

    public void setAid(byte[] aid) {
        this.aid = aid;
    }

    public byte[] getAppLabel() {
        return appLabel;
    }

    public void setAppLabel(byte[] appLabel) {
        this.appLabel = appLabel;
    }

    public byte[] getPreferName() {
        return preferName;
    }

    public void setPreferName(byte[] preferName) {
        this.preferName = preferName;
    }

    public byte getPriority() {
        return priority;
    }

    public void setPriority(byte priority) {
        this.priority = priority;
    }

    public byte[] getLangPrefer() {
        return langPrefer;
    }

    public void setLangPrefer(byte[] langPrefer) {
        this.langPrefer = langPrefer;
    }

    public byte getIcti() {
        return icti;
    }

    public void setIcti(byte icti) {
        this.icti = icti;
    }
}
