package com.nexgo.oaf.apiv3.emv;

/**
 * Created by xiaox on 2017/1/5.
 */

/**
 * 圈存日志类
 * String p1 Put Data 命令的P1 值：1 字节
 * String p2 Put Data 命令的P2 值:1 字节
 * String before Put Data 修改前xxxx（9F79 或DF79）的值：6 字节
 * String after Put Data 修改后xxxx（9F79 或DF79）的值：6 字节
 * String transDate 交易日期（YYMMDD）
 * String transTime 交易时间
 * String cntCode 国家代码(9F1A)
 * String atc 交易计数器(9F36)
 * String merName 商户名称(9F4E) 16进制HEX编码
 */
public class EmvCardLoadLogEntity {
    private String p2;
    private String p1;
    private String before;
    private String after;
    private String transDate;
    private String transTime;
    private String cntCode;
    private String atc;
    private String merName;

    public String getP2() {
        return p2;
    }

    public void setP2(String p2) {
        this.p2 = p2;
    }

    public String getP1() {
        return p1;
    }

    public void setP1(String p1) {
        this.p1 = p1;
    }

    public String getBefore() {
        return before;
    }

    public void setBefore(String before) {
        this.before = before;
    }

    public String getAfter() {
        return after;
    }

    public void setAfter(String after) {
        this.after = after;
    }

    public String getTransDate() {
        return transDate;
    }

    public void setTransDate(String transDate) {
        this.transDate = transDate;
    }

    public String getTransTime() {
        return transTime;
    }

    public void setTransTime(String transTime) {
        this.transTime = transTime;
    }

    public String getCntCode() {
        return cntCode;
    }

    public void setCntCode(String cntCode) {
        this.cntCode = cntCode;
    }

    public String getAtc() {
        return atc;
    }

    public void setAtc(String atc) {
        this.atc = atc;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }
}
