package com.nexgo.oaf.apiv3.emv;

/**
 * 日志信息类
 * String amt 交易金额（右靠左补0）
 * String otherAmt 其它金额（右靠左补0）
 * String transDate 交易日期（YYMMDD）
 * String transTime 交易时间
 * String cntCode 国家代码(9F1A)
 * String curCode 货币代码(5F2A)
 * String atc 交易计数器(9F36)
 * String serveType 交易类型(9C)
 * String merName 商户名称(9F4E) 16进制HEX编码
 */
public class EmvCardLogEntity {
    private String amt;
    private String otherAmt;
    private String transDate;
    private String transTime;
    private String cntCode;
    private String curCode;
    private String atc;
    private String serveType;
    private String merName;

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getOtherAmt() {
        return otherAmt;
    }

    public void setOtherAmt(String otherAmt) {
        this.otherAmt = otherAmt;
    }

    public String getTransDate() {
        return transDate;
    }

    public void setTransDate(String transDate) {
        this.transDate = transDate;
    }

    public String getTransTime() {
        return transTime;
    }

    public void setTransTime(String transTime) {
        this.transTime = transTime;
    }

    public String getCntCode() {
        return cntCode;
    }

    public void setCntCode(String cntCode) {
        this.cntCode = cntCode;
    }

    public String getCurCode() {
        return curCode;
    }

    public void setCurCode(String curCode) {
        this.curCode = curCode;
    }

    public String getAtc() {
        return atc;
    }

    public void setAtc(String atc) {
        this.atc = atc;
    }

    public String getServeType() {
        return serveType;
    }

    public void setServeType(String serveType) {
        this.serveType = serveType;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }
}
